# Method: accounts.mediationGroups.mediationAbExperiments.stop

- [HTTP request](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.mediationGroups.mediationAbExperiments/stop#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.mediationGroups.mediationAbExperiments/stop#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.mediationGroups.mediationAbExperiments/stop#body.request_body)
  - [JSON representation](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.mediationGroups.mediationAbExperiments/stop#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.mediationGroups.mediationAbExperiments/stop#body.response_body)
- [Authorization scopes](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.mediationGroups.mediationAbExperiments/stop#body.aspect)
- [VariantChoice](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.mediationGroups.mediationAbExperiments/stop#VariantChoice)
- [Examples](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.mediationGroups.mediationAbExperiments/stop#examples)
- [Try it!](https://developers.google.com/admob/api/reference/rest/v1beta/accounts.mediationGroups.mediationAbExperiments/stop#try-it)

Stop the mediation A/B experiment and choose a variant.

<br />

This method has limited access. If you see a 403 permission denied error, please reach out to your account manager for access.

<br />

### HTTP request

`POST https://admob.googleapis.com/v1beta/{name=accounts/*/mediationGroups/*/mediationAbExperiments}:stop`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Name of the mediation group, the experiment for which to choose a variant for. Example: accounts/pub-9876543210987654/mediationGroups/0123456789/ mediationAbExperiments |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "variantChoice": enum (`https://developers.google.com/admob/api/reference/rest/v1beta/accounts.mediationGroups.mediationAbExperiments/stop#VariantChoice`) } ``` |

| Fields ||
|---|---|
| `variantChoice` | ``enum (`https://developers.google.com/admob/api/reference/rest/v1beta/accounts.mediationGroups.mediationAbExperiments/stop#VariantChoice`)`` The choice for the winning variant. |

### Response body

If successful, the response body contains an instance of `https://developers.google.com/admob/api/reference/rest/v1beta/accounts.mediationGroups.mediationAbExperiments#MediationAbExperiment`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admob.monetization`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## VariantChoice

The choice of the variant for mediation A/B Experiment.

| Enums ||
|---|---|
| `VARIANT_CHOICE_UNSPECIFIED` | Default value for an unset field. Do not use. |
| `VARIANT_CHOICE_A` | Use the mediation lines from Variant A and complete the experiment. Variant A contains the original serving lines before the experiment creation. |
| `VARIANT_CHOICE_B` | Use the mediation lines form Variant B and complete the experiment. Variant B contains the newly added serving lines. |